# Bugbattle SDK

The BugBattle SDK for Flutter is the easiest way to integrate BugBattle into your apps!

# Report and Fix Bugs the Easy Way
Bugbattle helps developers build the best software faster. It is your affordable in-app bug reporting tool for apps, websites and industrial applications.

Checkout our [website](https://bugbattle.io) to learn more about bugbattle.

## Docs & Examples

Checkout our [documentation](https://docs.bugbattle.io/docs/flutter-sdk) for full reference. Include the following dependency in your pubspec.yml:

```dart
dependencies:
  bugbattle_sdk: "^4.0.1"
```

**Android installation**

Android is ready to go. If theres a version conflict pls add the following to your android manifest:
```
<manifest ... xmlns:tools="http://schemas.android.com/tools">
 <uses-sdk  android:minSdkVersion="16"
        tools:overrideLibrary="com.example.bugbattle_sdk"/>
 <application .... tools:overrideLibrary="com.example.bugbattle_sdk">
 ...
```
**iOS installation**

Navigate to your iOS project folder within the terminal and update the cocoapods by typing

```
pod install
```

**Initialize BugBattle SDK**

Import the BugBattle SDK by adding the following import inside one of your root components.

```dart
import 'package:bugbattle_sdk/bugbattle_sdk.dart';
```

```dart
BugBattle.initWithToken('YOUR_API_KEY', ActivationMethod.SHAKE);
```

Your API key can be found in the project settings within BugBattle. Possible values for the activation method are ```BugBattle.NONE``` and ```BugBattle.SHAKE```.
